Index: TXM/trunk/org.txm.statsengine.r.rcp/plugin.xml
===================================================================
--- TXM/trunk/org.txm.statsengine.r.rcp/plugin.xml	(revision 3470)
+++ TXM/trunk/org.txm.statsengine.r.rcp/plugin.xml	(revision 3471)
@@ -258,6 +258,7 @@
             locationURI="menu:menu.display.perspectives">
          <command
                commandId="org.eclipse.ui.perspectives.showPerspective"
+               icon="icons/logos/Rcran.png"
                label="%command.label.0"
                style="push">
             <parameter
Index: TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/messages/messages_fr.properties
===================================================================
--- TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/messages/messages_fr.properties	(revision 3470)
+++ TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/messages/messages_fr.properties	(revision 3471)
@@ -5,7 +5,8 @@
 CommandLink_empty = 
 
 abortingColonSelectionIsNotACorpus = Abandon : la sélection n'est pas un corpus
-
+text=Texte
+page=Page
 back = Retour
 
 cannotCallTxmcommandWithoutIdParameterColonP0 = ** Impossible d''appeler une commande sans le paramètre ''id'' ({0})
Index: TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/messages/EditionUIMessages.java
===================================================================
--- TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/messages/EditionUIMessages.java	(revision 3470)
+++ TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/messages/EditionUIMessages.java	(revision 3471)
@@ -71,7 +71,11 @@
 	public static String enableFastWordHighlight; 
 	public static String edition; 
 	
-	public static String errorColonTxmeditioncorpusidEditionidTextidWordidCalledWithNoArguments; 
+	public static String errorColonTxmeditioncorpusidEditionidTextidWordidCalledWithNoArguments;
+
+	public static String text;
+
+	public static String page; 
 	
 	static {
 		// initialize resource bundle
Index: TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/messages/messages.properties	(revision 3470)
+++ TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/messages/messages.properties	(revision 3471)
@@ -5,7 +5,8 @@
 CommandLink_empty = 
 
 abortingColonSelectionIsNotACorpus = Aborting: selection is not a corpus
-
+text=Text
+page=Page
 back = Back
 
 cannotCallTxmcommandWithoutIdParameterColonP0 = ** Can not call a command without the ''id'' parameter ({0})
Index: TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java
===================================================================
--- TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java	(revision 3470)
+++ TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java	(revision 3471)
@@ -151,6 +151,7 @@
 	 * Instantiates a new txm browser.
 	 */
 	public SynopticEditionEditor() {
+		
 		selProvider = new ISelectionProvider() {
 			
 			@Override
@@ -471,7 +472,7 @@
 		pageNavigationComposite.getLayout().numColumns = 7;
 		pageNavigationComposite.getLayout().horizontalSpacing = 1;
 		Label l = new Label(pageNavigationComposite, SWT.NONE);
-		l.setText("Page ");
+		l.setText(EditionUIMessages.page);
 		Button first = new Button(pageNavigationComposite, SWT.FLAT | SWT.PUSH);
 		Button previous = new Button(pageNavigationComposite, SWT.FLAT | SWT.PUSH);
 		page_text = new org.eclipse.swt.widgets.Text(pageNavigationComposite, SWT.BORDER);
@@ -480,13 +481,12 @@
 		Button last = new Button(pageNavigationComposite, SWT.FLAT | SWT.PUSH);
 		pageNavigationComposite.setLayoutData(new GridData(GridData.CENTER, GridData.CENTER, true, false));
 		
-		
 		if (project.getTexts().size() > 1) {
 			GLComposite textNavigationComposite = new GLComposite(lowerControlsArea, SWT.NONE, EditionUIMessages.textButtons);
 			textNavigationComposite.getLayout().numColumns = 8;
 			textNavigationComposite.getLayout().horizontalSpacing = 1;
 			Label l2 = new Label(textNavigationComposite, SWT.NONE);
-			l2.setText("Text ");
+			l2.setText(EditionUIMessages.text);
 			Button firstText = new Button(textNavigationComposite, SWT.FLAT);
 			Button previousText = new Button(textNavigationComposite, SWT.FLAT);
 			text_text = new org.eclipse.swt.widgets.Text(textNavigationComposite, SWT.BORDER);
Index: TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/KRAnnotationEngine.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/KRAnnotationEngine.java	(revision 3470)
+++ TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/KRAnnotationEngine.java	(revision 3471)
@@ -357,7 +357,7 @@
 	
 	@Override
 	public String getName() {
-		return "KR Annotation engine";
+		return "CQP";
 	}
 	
 	@Override
Index: TXM/trunk/org.txm.rcp/plugin.xml
===================================================================
--- TXM/trunk/org.txm.rcp/plugin.xml	(revision 3470)
+++ TXM/trunk/org.txm.rcp/plugin.xml	(revision 3471)
@@ -1178,6 +1178,7 @@
                   label="%menu.label.9">
                <command
                      commandId="org.eclipse.ui.views.showView"
+                     icon="icons/objects/corpus.png"
                      label="%command.label.134"
                      style="push">
                   <parameter
@@ -1187,6 +1188,7 @@
                </command>
                <command
                      commandId="org.eclipse.ui.views.showView"
+                     icon="icons/objects/folder.png"
                      label="%command.label.135"
                      style="push">
                   <parameter
@@ -1196,6 +1198,7 @@
                </command>
                <command
                      commandId="org.eclipse.ui.views.showView"
+                     icon="icons/objects/script.png"
                      label="%command.label.177"
                      style="push">
                   <parameter
@@ -1205,6 +1208,7 @@
                </command>
                <command
                      commandId="org.eclipse.ui.views.showView"
+                     icon="platform:/plugin/org.eclipse.ui.console/icons/full/eview16/console_view.png"
                      label="%command.label.43"
                      style="push">
                   <parameter
@@ -1227,6 +1231,7 @@
                   label="%menu.label.8">
                <command
                      commandId="org.eclipse.ui.perspectives.showPerspective"
+                     icon="icons/objects/corpus.png"
                      label="%command.label.131"
                      style="push">
                   <parameter
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 3470)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 3471)
@@ -293,11 +293,14 @@
 			int wppt = edition_params.getWordsPerPage();
 			wordsPerPageText.setText("" + wppt); //$NON-NLS-1$
 			
-			if (noteElementsText != null) noteElementsText.setText(project.getTextualPlan("Note", "note")); //$NON-NLS-1$
+			if (noteElementsText != null) {
+				noteElementsText.setText(project.getTextualPlan("Note", "note")); //$NON-NLS-1$
+			}
 			
 			String pbt = edition_params.getPageElement();
-			if (pageBreakText != null)
+			if (pageBreakText != null) {
 				pageBreakText.setText(pbt);
+			}
 		}
 		
 		EditionDefinition edition_params = project.getEditionDefinition("facs"); //$NON-NLS-1$
@@ -307,8 +310,9 @@
 			imageDirectoryText.setEnabled(buildFacsEditionCheckButton.getSelection());
 			
 			String imageDirectory = edition_params.getImagesDirectory();
-			if (imageDirectoryText != null && imageDirectory != null)
+			if (imageDirectoryText != null && imageDirectory != null) {
 				imageDirectoryText.setText(imageDirectory);
+			}
 		}
 		
 		String defaults = project.getDefaultEditionName();
@@ -320,6 +324,7 @@
 	
 	@Override
 	public boolean saveFields(Project project) {
+		
 		if (this.section != null && !this.section.isDisposed()) {
 			
 			String page_break_tag = "pb"; //$NON-NLS-1$
@@ -343,13 +348,16 @@
 			edition_params.setPaginateEdition(paginate);
 			edition_params.setEnableCollapsible(collapsible);
 			
-			if (noteElementsText != null) project.setTextualPlan(TXMUIMessages.Note, noteElementsText.getText());
+			if (noteElementsText != null) {
+				project.setTextualPlan(TXMUIMessages.Note, noteElementsText.getText());
+			}
 			
 			if (buildFacsEditionCheckButton != null) {
 				
 				String images_directory = ""; //$NON-NLS-1$
-				if (imageDirectoryText != null)
+				if (imageDirectoryText != null) {
 					images_directory = imageDirectoryText.getText();
+				}
 				
 				build = buildFacsEditionCheckButton.getSelection();
 				
Index: TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/URSCorpora.java
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/URSCorpora.java	(revision 3470)
+++ TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/URSCorpora.java	(revision 3471)
@@ -245,7 +245,7 @@
 	
 	@Override
 	public String getName() {
-		return "Analec";
+		return "URS";
 	}
 	
 	@Override
